<br />
<table border=0>
  <tr >
    <th>#</th>
    <th>First Name</th>
    <th>Second Name</th>
    <th>Permission Day</th>
    <th>Last Set Status</th>
    <th>Birthday</th>
    <th>Age<br /><%= select_tag(:age, options_for_select(@selectParams, params[:age] || cookies[:age] || "0")) %></th>

    <th>Gender<br /><%= select_tag(:gender, options_for_select([['all',0],['male','male'],['female','female'],['Undefined','Undefined']],  params[:gender] || cookies[:gender] || 0) )%> </th>

    <th>Relationship Status<br /><%= select_tag(:relation, options_for_select([['all',0],['Single','Single'],['It\'s complicated','It\'s complicated'],['Engaged','Engaged'],['Married','Married'],['In an Open Relationship','In an Open Relationship'],['Undefined','Undefined']], params[:relation] ||  cookies[:relation] || 0)) %></th>
    <th>Location</th>
    <th>Networks</th>

  </tr>

<% @fbusers.each_with_index do |fbuser, i| %>
  <tr class= "<%if i % 2 == 0 %>firstcolor<%else%><%end%>"> 
    <td><%=i+1 + Person_per_page * ((params[:page] ? params[:page].to_i : 1) -1)%> </td>
    <td><a target="_blank" href='http://www.facebook.com/profile.php?id=<%=h fbuser.uid %>'><%=h fbuser.first_name %></td>
    <td><%=h fbuser.last_name %></a></td>
    <td align=center><%=h fbuser.created_at.to_date.to_formatted_s(:long_ordinal)%></td>
    <td><%= fbuser.status %></td>
<td align=center><%= fbuser.birthday %></td>
    <td align=center><%=h fbuser.birthday ? convert_birthday_to_number(fbuser.birthday) : nil %></td>
    <td align=center><%=h fbuser.gender %></td>
    <td><%=h fbuser.relation  %></td>
    <td><%=h fbuser.hometown_location  %></td>
    <td><%=h fbuser.affiliations  %></td>
  </tr>
<% end %>
</table>

<%=will_paginate @fbusers %>
<br />
<%= submit_tag "Sort" %>
<br />  
<a href="/fbusers/export_table_to_csv?<%= (params[:age]? "#{params.to_query}" : "")%>&query_type=<%=@query_type%>" target='_blank'">Export To CSV...</a>
   
